Printago API
GET
/v1/profiles/{id}/view
Get profile with inheritance details
Path Parameters
id
required
string
- The profile ID
Query Parameters
version
optional
string
slicerEngine
optional
"orcaslicer" | "bambu-studio" | "prusaslicer" | "superslicer"
Response Schema
ProfileWithInheritance
inheritedKeysrequired
string[]
inheritsFromrequirednullable
string
mergedrequired
Record<string, any>
Construct a type with a set of properties K of type T
ownKeysrequired
string[]
Example Response
200 OK — application/json
{
"merged": {},
"ownKeys": [
"string"
],
"inheritedKeys": [
"string"
],
"inheritsFrom": "string"
}